org.apache.velocity.tools.generic

## Class LoopTool.SyncedIterator

- java.lang.Object
- - org.apache.velocity.tools.generic.LoopTool.SyncedIterator

Enclosing class:
  LoopTool

    public static class LoopTool.SyncedIterator
    extends Object

Simple wrapper to make it easy to keep an arbitray Iterator in sync with a `LoopTool.ManagedIterator`.

### Constructor Summary

Constructors
Constructor and Description
`SyncedIterator(Iterator iterator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get()`
`void` `shift()` If the sync'ed iterator has any more values, this sets the next() value as the current one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyncedIterator

    public SyncedIterator(Iterator iterator)

### Method Detail

#### shift

    public void shift()

If the sync'ed iterator has any more values, this sets the next() value as the current one. If there are no more values, this sets the current one to `null`.

#### get

    public Object get()

Returns:
  the currently parallel value, if any.